Search for %s

  1. Search 7.x for %s
  2. Search 9.5.x for %s
  3. Search 8.9.x for %s
  4. Search 11.x for %s
  5. Search main for %s
  6. Other projects
Title Object type File name Summary
SearchPageXmlCookieTest::$format property core/modules/search/tests/src/Functional/Rest/SearchPageXmlCookieTest.php The format to use in this test.
SearchPageXmlCookieTest::$mimeType property core/modules/search/tests/src/Functional/Rest/SearchPageXmlCookieTest.php The MIME type that corresponds to $format.
SearchPlugin class core/modules/search/src/Annotation/SearchPlugin.php Defines a SearchPlugin type annotation object.
SearchPlugin.php file core/modules/search/src/Annotation/SearchPlugin.php
SearchPlugin::$id property core/modules/search/src/Annotation/SearchPlugin.php A unique identifier for the search plugin.
SearchPlugin::$title property core/modules/search/src/Annotation/SearchPlugin.php The title for the search page tab.
SearchPlugin::$use_admin_theme property core/modules/search/src/Annotation/SearchPlugin.php Whether or not search results should be displayed in admin theme.
SearchPluginBase class core/modules/search/src/Plugin/SearchPluginBase.php Defines a base class for plugins wishing to support search.
SearchPluginBase.php file core/modules/search/src/Plugin/SearchPluginBase.php
SearchPluginBase::$keywords property core/modules/search/src/Plugin/SearchPluginBase.php The keywords to use in a search.
SearchPluginBase::$searchAttributes property core/modules/search/src/Plugin/SearchPluginBase.php Array of attributes - usually from the request object.
SearchPluginBase::$searchParameters property core/modules/search/src/Plugin/SearchPluginBase.php Array of parameters from the query string from the request.
SearchPluginBase::buildResults function core/modules/search/src/Plugin/SearchPluginBase.php Executes the search and builds render arrays for the result items.
SearchPluginBase::buildSearchUrlQuery function core/modules/search/src/Plugin/SearchPluginBase.php Builds the URL GET query parameters array for search.
SearchPluginBase::create function core/modules/search/src/Plugin/SearchPluginBase.php Creates an instance of the plugin.
SearchPluginBase::getAttributes function core/modules/search/src/Plugin/SearchPluginBase.php Returns the currently set attributes (from the request).
SearchPluginBase::getHelp function core/modules/search/src/Plugin/SearchPluginBase.php Returns the searching help.
SearchPluginBase::getKeywords function core/modules/search/src/Plugin/SearchPluginBase.php Returns the currently set keywords of the plugin instance.
SearchPluginBase::getParameters function core/modules/search/src/Plugin/SearchPluginBase.php Returns the current parameters set using setSearch().
SearchPluginBase::getType function core/modules/search/src/Plugin/SearchPluginBase.php Returns the search index type this plugin uses.
SearchPluginBase::isSearchExecutable function core/modules/search/src/Plugin/SearchPluginBase.php Verifies if the values set via setSearch() are valid and sufficient.
SearchPluginBase::searchFormAlter function core/modules/search/src/Plugin/SearchPluginBase.php Alters the search form when being built for a given plugin.
SearchPluginBase::setSearch function core/modules/search/src/Plugin/SearchPluginBase.php Sets the keywords, parameters, and attributes to be used by execute().
SearchPluginBase::suggestedTitle function core/modules/search/src/Plugin/SearchPluginBase.php Provides a suggested title for a page of search results.
SearchPluginBase::usesAdminTheme function core/modules/search/src/Plugin/SearchPluginBase.php Returns whether or not search results should be displayed in admin theme.
SearchPluginCollection class core/modules/search/src/Plugin/SearchPluginCollection.php Provides a container for lazily loading search plugins.
SearchPluginCollection.php file core/modules/search/src/Plugin/SearchPluginCollection.php
SearchPluginCollection::$searchPageId property core/modules/search/src/Plugin/SearchPluginCollection.php The unique ID for the search page using this plugin collection.
SearchPluginCollection::get function core/modules/search/src/Plugin/SearchPluginCollection.php
SearchPluginCollection::initializePlugin function core/modules/search/src/Plugin/SearchPluginCollection.php Initializes and stores a plugin.
SearchPluginCollection::__construct function core/modules/search/src/Plugin/SearchPluginCollection.php Constructs a new SearchPluginCollection.
SearchPluginCollectionTest class core/modules/search/tests/src/Unit/SearchPluginCollectionTest.php @coversDefaultClass \Drupal\search\Plugin\SearchPluginCollection[[api-linebreak]]
@group search
SearchPluginCollectionTest.php file core/modules/search/tests/src/Unit/SearchPluginCollectionTest.php
SearchPluginCollectionTest::$pluginInstances property core/modules/search/tests/src/Unit/SearchPluginCollectionTest.php Stores all setup plugin instances.
SearchPluginCollectionTest::$pluginManager property core/modules/search/tests/src/Unit/SearchPluginCollectionTest.php The mocked plugin manager.
SearchPluginCollectionTest::$searchPluginCollection property core/modules/search/tests/src/Unit/SearchPluginCollectionTest.php The tested plugin collection.
SearchPluginCollectionTest::setUp function core/modules/search/tests/src/Unit/SearchPluginCollectionTest.php
SearchPluginCollectionTest::testGet function core/modules/search/tests/src/Unit/SearchPluginCollectionTest.php Tests the get() method.
SearchPluginCollectionTest::testGetWithConfigurablePlugin function core/modules/search/tests/src/Unit/SearchPluginCollectionTest.php Tests the get() method with a configurable plugin.
SearchPluginManager class core/modules/search/src/SearchPluginManager.php SearchExecute plugin manager.
SearchPluginManager.php file core/modules/search/src/SearchPluginManager.php
SearchPluginManager::__construct function core/modules/search/src/SearchPluginManager.php Constructs SearchPluginManager.
SearchPreprocessLangcodeTest class core/modules/search/tests/src/Functional/SearchPreprocessLangcodeTest.php Tests that the search preprocessing uses the correct language code.
SearchPreprocessLangcodeTest.php file core/modules/search/tests/src/Functional/SearchPreprocessLangcodeTest.php
SearchPreprocessLangcodeTest::$defaultTheme property core/modules/search/tests/src/Functional/SearchPreprocessLangcodeTest.php The theme to install as the default for testing.
SearchPreprocessLangcodeTest::$modules property core/modules/search/tests/src/Functional/SearchPreprocessLangcodeTest.php Modules to install.
SearchPreprocessLangcodeTest::$node property core/modules/search/tests/src/Functional/SearchPreprocessLangcodeTest.php Test node for searching.
SearchPreprocessLangcodeTest::setUp function core/modules/search/tests/src/Functional/SearchPreprocessLangcodeTest.php
SearchPreprocessLangcodeTest::testPreprocessLangcode function core/modules/search/tests/src/Functional/SearchPreprocessLangcodeTest.php Tests that hook_search_preprocess() returns the correct langcode.
SearchPreprocessLangcodeTest::testPreprocessStemming function core/modules/search/tests/src/Functional/SearchPreprocessLangcodeTest.php Tests stemming for hook_search_preprocess().

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.